# evoke documentation

## Introduction

evoke is EDE service responsible for starting and quitting desktop, including all needed prerequisites. Also, it will autostart programs (run programs using autostart specification) and behave as XSETTINGS manager.

It is usually started at EDE startup, from startede script and will allow only one instance of itself to be running.

## Options

-s, —startup

  Run in starup mode. Startup mode should be used when environment is starting and it will read ede-startup.conf file looking for components to be started.

-n, —no-splash

  Do not display splash during startup. Only usefull if in startup mode (given -s or —startup).

-d, —dry-run

  Only useful in startup mode (if -s or —startup are given). Mainly to test splash screen themes

-h, —help

  This help.

evoke can be started with or without options. If started without options, it will behave as XSETTINGS manager (more below).

## Autostart

Autostart option is used to run applications from autostart directory. This directory is usually located at $HOME/.config/autostart or, if not exists, in /etc/xdg/autostart.

Of course, both directories can exists and evoke will run applications from both, but with one exception: if application with the same .desktop name exists in both (and is valid desktop file), it will be run only from prefered directory, which is $HOME/.config/autostart.

If you want some application to be run at EDE startup (implying evoke is started with -a option), just copy it's .desktop file to autostart directory. Before that, make sure that .desktop file conforms to the freedesktop.org specification for Desktop Files.

If you want to disable running some application from autostart directory, you can simply delete it's .desktop file or set this key in it:

    Hidden = true

Make sure that Hidden key is under [Desktop Entry] section.

Autostart mode can be run in two ways: safe and unsafe. Safe way (-u or —autostart-safe) will popup window with programs that should be started, from where you can chose either to start some of them, start all of them or to start nothing. On other hand, unsafe way (-a or —autostart) will simply run all programs without any questioning (should I say that this can be very insecure).

These options are intentionally provided so you can choose startup policy depending on your security options.

## Startup

Startup option used when EDE is starting, running each component (or program) from ede-startup.conf. This file is in $XDG_CONFIG_DIRS/ede (usually /etc/xdg/ede) and it's main purpose is to run EDE parts.

This configuration file is in the following form:

    [Startup]
      # start_order key is used to notify evoke what to start
      # and program keys must be separated with comma (if multiple ones are given)
      start_order = program1, program2, program3

      # theme for starting splash screen
      splash_theme = name

    # now comes each value from Startup key as separate key
    [program1]
      # icon is icon used in splash screen progress (it is part of splash theme)
      icon = icon1.png

      # exec is program executable to be run
      exec = program1

      # description is used to describe what is starting
      description = my cool program

    [program2]
      icon = icon2.png
      exec = program2
      description = my cool second program

## XSETTINGS

XSETTINGS is protocol that provides a mechanism for applications to share simple configuration settings and it is toolkit neutral.

| XSETTINGS support Not all toolkits supports XSETTINGS protocol; currently only Gtk+ and edelib apps understainds it (as I know).